--- old/usr/src/cmd/smbsrv/smbd/smbd_spool.c	2014-02-13 22:45:18.680378217 -0500
+++ new/usr/src/cmd/smbsrv/smbd/smbd_spool.c	2014-02-13 22:45:18.693768043 -0500
@@ -27,14 +27,6 @@
  * CUPS support for the SMB and SPOOLSS print services.
  */
 
-#ifndef HAVE_CUPS
-void smbd_load_printers(void) { return; }
-void smbd_cups_init(void) { return; }
-void smbd_cups_fini(void) { return; }
-void smbd_spool_start(void) { return; }
-void smbd_spool_stop(void) { return; }
-#else
-
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <strings.h>
@@ -48,6 +40,7 @@
 #include <smbsrv/smb_share.h>
 #include "smbd.h"
 
+#ifdef	HAVE_CUPS
 #include <cups/cups.h>
 
 #define	SMB_SPOOL_WAIT			2
@@ -521,4 +514,47 @@
 
 	(void) strlcpy(si->shr_cmnt, comment, SMB_SHARE_CMNT_MAX);
 }
-#endif
+
+#else	/* HAVE_CUPS */
+
+/*
+ * If not HAVE_CUPS, just provide a few "stubs".
+ */
+
+int
+smbd_cups_init(void)
+{
+	return (ENOENT);
+}
+
+void
+smbd_cups_fini(void)
+{
+}
+
+void
+smbd_load_printers(void)
+{
+}
+
+void
+smbd_spool_init(void)
+{
+}
+
+void
+smbd_spool_fini(void)
+{
+}
+
+void
+smbd_spool_start(void)
+{
+}
+
+void
+smbd_spool_stop(void)
+{
+}
+
+#endif 	/* HAVE_CUPS */
